/*---------------------------------------------------------------------
The select library performs the SQL select command on a simple 
        file-based database.

Specification:
	Input:  the name of a relational table (name);
	        a schema file for the table (name.schema);
		a data file for the table (name.dat);
		a field name and value to restrict the selection;
	Output: a string of records restricted by the user input.
------------------------------------------------------------------------*/

#ifndef SELECT
#define SELECT

#include <string>
using namespace std;

// some simple type conversion routines
string int2string(int x);
int string2int(string s);
string double2string(double x);
double string2double(string s);

// the select command itself
void select(const string& projectedFieldName, 
	         const string& tableName, 
	         const string& selectedFieldName, 
	         const string& selectedOperator, 
	         const string& selectedFieldValue);
	         
#endif
